Application A P I
List locations
Returns a paginated list of all locations registered on the panel.
GET
/api/application/locationsAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Query Parameters
per_page?integer
Number of locations to return per page, up to 100.
filter[short]?string
Filter locations by short identifier.
filter[long]?string
Filter locations by description.
sort?string
Sort locations by id. Prefix with "-" for descending order.
Value in
- "id"
- "-id"
include?string
Comma-separated relationships to include. Supports "nodes" and "servers" when the key can read those resources.
Value in
- "nodes"
- "servers"
- "nodes,servers"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/application/locations?per_page=50&filter%5Bshort%5D=us-east&filter%5Blong%5D=US+East+Datacenter&sort=id&include=nodes%2Cservers"{ "object": "list", "data": [ { "object": "location", "attributes": { "id": 15984, "short": "eHbH77iS", "long": "t4KJRY3dIAr1bcIU6bC3lfXrtlpmzZje", "updated_at": "2026-09-22T14:45:23+00:00", "created_at": "2026-09-22T14:45:23+00:00" }, "meta": { "resource": "https://panel.example.test/api/application/locations/1" } } ], "meta": { "pagination": { "total": 1, "count": 1, "per_page": 50, "current_page": 1, "total_pages": 1, "links": { "property1": "string", "property2": "string" } } }}